<template>
    <div class="wrapper">
        <loading :active.sync="loading" is-full-page></loading>
        <nav-title :title="title" :icon="icon"></nav-title>
        <div class="md-layout mt-3">
            <div class="md-layout-item md-xlarge-size-20 md-large-size-20 md-medium-size-20 md-small-size-5"></div>

            <div class="md-layout-item  md-xlarge-size-30 md-large-size-40 md-medium-size-50 md-small-size-90">
                <md-card>
                    <div class="md-layout md-alignment-top-center">
                        <div class="md-layout-item text-align-center">
                            <img class="img-profile mt-2" style="height:11rem" :src="author.user_info.image_path" alt="Perfil" />
                        </div>
                    </div>

                    <md-card-area>
                        <md-card-content>
                            <section name="Begin">
                                <h3 class="md-title text-red">
                                    <b>{{ author.fullname }}</b>
                                </h3>
                                <hr class="line" />
                                <md-list class="pt-0">
                                    <md-list-item class="md-list-item-content-pl md-list-item-content">
                                        <div class="md-list-item-text md-body-1">
                                            <h4 class="text-red">
                                                COLABORADOR
                                            </h4>
                                        </div>
                                    </md-list-item>
                                    <md-divider class="t"></md-divider>
                                    <md-list-item class="md-list-item-content-pl md-list-item-content">
                                        <div class="md-list-item-text md-body-1">
                                            <h4>{{ this.author.Country }}</h4>
                                        </div>
                                    </md-list-item>
                                    <md-divider class="t"></md-divider>
                                </md-list>
                            </section>

                            <section name="UltimoPublicado" class="mt-1">
                                <h4 class="text-red ml-1-5 mb-0 resource-title-autor">
                                    ÚLTIMO RECURSO PUBLICADO
                                </h4>
                                <hr class="line" />
                                <div>
                                    <md-table v-model="last5" class="collection-detail-table">
                                        <md-table-row slot="md-table-row" slot-scope="{ item }">
                                            <md-table-cell class="table-cell-pl cell-custom">
                                                <a class="link-new" @click="details(item.id)">{{ item.title }}</a>
                                            </md-table-cell>
                                            <md-table-cell class="table-cell-pl cell-custom">
                                                <star-rating
                                                    inactive-color="#4A6274"
                                                    active-color="#59A8BA"
                                                    class="right"
                                                    :star-size="starSize"
                                                    v-model="item.rating"
                                                    :show-rating="showRating"
                                                    read-only
                                                ></star-rating>
                                            </md-table-cell>
                                        </md-table-row>
                                    </md-table>
                                </div>
                                <md-button
                                    v-if="author.registerNumber > 5"
                                    class="md-raised md-primary mt-1"
                                    :to="{
                                        name: 'resources',
                                        query: { Author: author.id }
                                    }"
                                    >VER MÁS RECURSOS</md-button
                                >
                            </section>

                            <section name="MejorCalificado" class="mt-1">
                                <h4 class="text-red ml-1-5 mb-0 resource-title-autor">
                                    RECURSOS MEJORES CALIFICADOS
                                </h4>
                                <hr class="line" />
                                <div>
                                    <md-table v-model="top5" class="collection-detail-table">
                                        <md-table-row slot="md-table-row" slot-scope="{ item }">
                                            <md-table-cell class="table-cell-pl cell-custom">
                                                <a class="link-new" @click="details(item.id)">
                                                    {{ item.title }}
                                                </a></md-table-cell
                                            >
                                            <md-table-cell class="table-cell-pl cell-custom">
                                                <star-rating
                                                    inactive-color="#4A6274"
                                                    active-color="#59A8BA"
                                                    class="right"
                                                    :star-size="starSize"
                                                    v-model="item.rating"
                                                    :show-rating="showRating"
                                                    read-only
                                                ></star-rating>
                                            </md-table-cell>
                                        </md-table-row>
                                    </md-table>
                                </div>
                                <md-button
                                    v-if="author.registerNumber > 5"
                                    class="md-raised md-primary mt-1"
                                    :to="{
                                        name: 'resources',
                                        query: { Author: author.id }
                                    }"
                                    >VER MÁS RECURSOS</md-button
                                >
                            </section>
                        </md-card-content>
                    </md-card-area>
                </md-card>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios';
import NavTitle from '../../layout/NavTitle';

export default {
    name: 'author',
    components: { NavTitle },
    data() {
        return {
            title: 'Autor',
            icon: 'person',
            endPoint: '/api/author',
            loading: false,
            showRating: false,
            starSize: 20,
            value: 3,
            collections: [],
            search: '',
            // country: null,
            author: null,
            last5: [],
            top5: []
            // selectedDate: null,
        };
    },
    validations: {},
    computed: {
        user() {
            let user = undefined;

            if (this.$auth.watch && this.$auth.watch && this.$auth.watch.data) {
                user = this.$auth.watch.data;
            }

            return user;
        }
    },
    methods: {
        details(id) {
            this.$router.push({ path: `/recursos/${id}` });
        },
        getauthorbyId(id) {
            this.loading = true;
            this.loading = true;
            let uri = `${this.endPoint}/${this.authorId}`;

            axios
                .get(uri)
                .then((res) => {
                    if (res && res.data && res.data.data) {
                        this.author = Object.assign([], res.data.data);
                        this.last5 = this.author.last5;
                        this.top5 = this.author.top5;
                        // this.country = this.$root.getCountryName(this.author.country_id);
                    } else {
                        this.author = [];
                    }
                })
                .catch((error) => {
                    console.log('Error getResources' + error);
                })
                .finally((res) => {
                    this.loading = false;
                });
        }
    },
    mounted() {
        this.authorId = this.$route?.params?.id;
        if (this.authorId) {
            this.getauthorbyId();
        }
    }
};
</script>

<style scoped>
.link-new {
    color: black !important;
    cursor: pointer;
}
.md-list-item-content-pl {
    padding: 12px 0px !important;
    margin-left: -16px;
}
</style>
